//******************************************************************************
//*
//*  df_watermark_settings.jsx
//*           for Adobe Photoshop CSx
//*
//*  Revision 1.0
//*
//*  Copyright (c) 2013 dwarf_foto. All rights reserved.
//*
//*  http://whitemania.jp/dwarf_foto/
//*
//*  History:
//*  Rev    Date            Author      Comment
//*  ---------------------------------------------------------------------------
//*   1.0   17-Feb-2013     dwarf       First Release 
//*
//******************************************************************************
#target photoshop
/*
<javascriptresource>
<menu>disable</menu>
</javascriptresource>
*/

//******************************************************************************
//***  ユーザー設定 
//******************************************************************************
function initUserSettings()
{
//------------------------------------------------------------------------------
// ウォーターマークファイルパス 
//
//   相対パスでもフルパスでも。相対パスはスクリプトのあるフォルダがベース 
//     e.g. "C:\\Watermark\\watermark.psd"  (\マークは\\で) 
//------------------------------------------------------------------------------
// 白ロゴ 
WATERMARK_PATH_WHITE = "df_watermark\\watermark_white.psd";

// 黒ロゴ 
WATERMARK_PATH_BLACK = "df_watermark\\watermark_black.psd";


//------------------------------------------------------------------------------
// ウォーターマークのマージン 
//
//   画像端からのオフセットピクセル数
//------------------------------------------------------------------------------
WATERMARK_MARGIN_X = 5;         // 横マージン [pixel] 
WATERMARK_MARGIN_Y = 5;         // 縦マージン [pixel] 


//------------------------------------------------------------------------------
//  出力フォルダ名 
//
//   フルパスor相対パス。相対パスの場合はオリジナル画像フォルダ基準 
//   フォルダがなければ自動生成 
//    e.g. "C:\\ImageOutput"  (\マークは\\で) 
//------------------------------------------------------------------------------
OUTPUT_FOLDER_NAME = "Output";      // 出力ファイルフォルダ名 


//------------------------------------------------------------------------------
//  ウォーターマーク位置 
//
//   下記のいずれかのフラグを指定する
//     DEF_NONE            : 選択ダイアログ表示 
//     DEF_WHITE_TOP_LEFT  : 左上 (白) (選択ダイアログ非表示) 
//     DEF_WHITE_TOP_RIGHT : 右上 (白) (選択ダイアログ非表示) 
//     DEF_WHITE_BTM_LEFT  : 左下 (白) (選択ダイアログ非表示) 
//     DEF_WHITE_BTM_RIGHT : 右下 (白) (選択ダイアログ非表示) 
//     DEF_BLACK_TOP_LEFT  : 左上 (黒) (選択ダイアログ非表示) 
//     DEF_BLACK_TOP_RIGHT : 右上 (黒) (選択ダイアログ非表示) 
//     DEF_BLACK_BTM_LEFT  : 左下 (黒) (選択ダイアログ非表示) 
//     DEF_BLACK_BTM_RIGHT : 右下 (黒) (選択ダイアログ非表示) 
//------------------------------------------------------------------------------
WATERMARK_POSITION = DEF_NONE;


//------------------------------------------------------------------------------
//  出力動作モード 
//
//   下記のいずれかのフラグを指定する 
//     DEF_OUTPUT_FILE  : ファイルへ出力 
//     DEF_OUTPUT_LAYER : アクティブドキュメントへレイヤー追加 
//------------------------------------------------------------------------------
OUTPUT_TYPE = DEF_OUTPUT_LAYER;


//------------------------------------------------------------------------------
//  出力動作モードがファイル出力の場合の出力ファイルタイプ 
//
//   下記のいずれかのフラグを指定する 
//     DEF_OUTPUT_JPEG : JPEG 
//     DEF_OUTPUT_TIFF : TIFF 
//------------------------------------------------------------------------------
OUTPUT_FILE_TYPE = DEF_OUTPUT_TIFF;


//------------------------------------------------------------------------------
//  ウォーターマークのリサイズ 
//
//   ウォーターマークをリサイズするかどうか 
//   WATERMARK_SCALE_OPTION
//      DEF_WM_SCALE_NONE      : サイズ調整なし 
//     サイズ調整する場合は下記を指定。複数指定可。
//      DEF_WM_SCALE_RESIZE    : サイズの調整 
//      DEF_WM_SCALE_OFFSET    : オフセットの調整 
//      DEF_WM_SCALE_BASE_LONG : 横幅を基準にサイズ調整 (指定しないと短辺を基準とする) 
//
//   WATERMARK_SCALE_SIZE
//     ウォーターマーク画像の挿入元画像の基準短辺サイズ。
//     ウォーターマーク画像をリサイズする場合に、
//     ウォーターマーク画像を100%で使用する挿入元画像の短辺サイズを指定する。
//     DEF_WM_SCALE_BASE_LONGオプションを指定すると長辺サイズを指定する。
//------------------------------------------------------------------------------
WATERMARK_SCALE_OPTION = DEF_WM_SCALE_NONE
//WATERMARK_SCALE_OPTION = DEF_WM_SCALE_RESIZE | DEF_WM_SCALE_OFFSET;   // <- 画像サイズによってウォーターマーク画像をサイズ調整する場合はコメントアウトを外す 
WATERMARK_SCALE_SIZE = 1000;    // [pixel] 


}
//******************************************************************************
//***  End of file 
//******************************************************************************
